Altibase.jdbc.driver.sharding.core

## Class ShardValueInfo

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.ShardValueInfo

    public class ShardValueInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ShardValueInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBindParamId()`
`ShardValueType` `getType()`
`Column` `getValue()`
`void` `setBindParamid(int aValue)`
`void` `setType(byte aType)`
`void` `setValue(Column aValue)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShardValueInfo

    public ShardValueInfo()

### Method Detail

#### setType

    public void setType(byte aType)

#### getType

    public ShardValueType getType()

#### setBindParamid

    public void setBindParamid(int aValue)

#### setValue

    public void setValue(Column aValue)

#### getValue

    public Column getValue()

#### getBindParamId

    public int getBindParamId()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`